namespace MySystem
{
    public class StartHelper
    {
        public readonly static StartHelper Instance = new StartHelper();
        private StartHelper()
        {
        }

        public void Start()//启动
        {
            int Environment = Library.ConfigurationManager.EnvironmentFlag; //运行环境（1-开发环境，2-生产环境）
            if(Environment == 2)
            {
                SourceHelper.Instance.Start(); //获取原始数据队列
                PushHelper.Instance.Start(); //推送队列
                RePushHelper.Instance.Start(); //重新推送队列
                AliyunPushHelper.Instance.Start(); //阿里云消息推送
                PosPushHelper.Instance.Start(); //推送机具数据
                PosPushHelper.Instance.StartSaveToDb(); //保存推送结果
                PosRePushHelper.Instance.Start(); //重推送机具数据

                // DefaultHelper.Instance.Start(); //队列程序
                // ......其他队列程序
            }
            else
            {
                PosPushHelper.Instance.Start(); //推送机具数据
                // PosPushHelper.Instance.StartTest(); //推送机具数据
                // SourceHelper.Instance.Start(); //获取原始数据队列
                // PushHelper.Instance.Start(); //推送队列
            }
        }
    }
}